/* GENERAL */

html {
	scroll-behavior: smooth;
}
html, body {
    height:100%;
}
body {
    background-color: #0f222b;
    min-height: 100%;
    overflow-x: hidden;
    overflow-y: scroll;
    padding: 0 !important;
}
.empty_high {
    position: relative;
    min-height: 1080px;
}
.empty_low {
    position: relative;
    min-height: 300px;
}
.modal {
    padding-right: inherit !important;
}
:target::before {
    content: "";
    display: block;
    height: 100px; /* fixed header height*/
    margin: -100px 0 0; /* negative fixed header height */
}
.modal .btn {
    margin: 0 auto;
    display: block;
}
#overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-image: url(../img/general/pattern.png);
    background-repeat: repeat;
    z-index: 1;
    display: none;
    transition: 1s linear all;
    -webkit-transition: 1s linear all;
}
body.modal-open .navbar {
    padding-right: 17px !important;
}
/*
body.modal-open {
    overflow: hidden;
    padding: 0px;
}

body.modal-open .page_wrapper {
    padding-right: 17px;
}
*/

/* COLOR SCHEMA */

.text-blue {
    color: #005F98;
}
.bg-blue, .btn-blue {
    background-color: #005F98 !important;
}
.rgba-black-strong, .rgba-black-strong::after {
    background-color: rgba(0,0,0,.2);
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}
.rgba-black-strong:hover, .rgba-black-strong:hover::after {
    background-color: rgba(0,0,0,.7);
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}

/* TYPOGRAPHY */

h1, h2 {
    font-family: 'Cantata One', serif;
    font-size: 3rem;
    color: #005F98;
    text-transform: uppercase;
    line-height: 3rem;
    font-weight: bold;
    text-transform: uppercase
}
#slogan h2 {
    line-height: 2rem;
}
h2 span {
    font-size: 2.5rem;
    font-weight: 400;
}
h4.card-title {
    margin-bottom: 0;
}
.firstcharacter {
    font-family: 'Cantata One', serif;
    color: #ffffff;
    background-color: #005F98;
    float: left;
    font-size: 70px;
    margin-right: 10px;
    width: 80px;
    height: 80px;
    text-align: center;
    line-height: 80px;
    font-weight: bold;
}
p, ul, ul li, ul li a {
    font-family: 'Oxygen', sans-serif;
    font-size: 14px;
}
ul {
    list-style: square;
}
.blockquote {
    padding: .5rem;
    border-left: 2px solid #005F98;
}
.chi_siamo_img_wrapper div h4 {
    margin-bottom: 0; 
    filter: drop-shadow(1px 1px 2px black);
}
#map {
    font-size: .8em !important;
    text-align: center !important;
    color: #ffffff !important;
}
#map p, #map a {
    color: #ffffff !important;
}
#info h5 {
    font-size: 1.3em !important; 
    font-weight: bold !important;
}
#info {
    font-size: .8em !important;
}
#info a {
    color: #005F98;
}
h6 a {
    color: #005F98;
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}
button.close {
    position: absolute;
    width: auto;
    height: auto;
    text-align: right;
    right: 20px;
    top: 20px;
    font-size: 2em;
}
h3.modal-title {
    margin: 0 auto;
}
.modal-body p {
    line-height: 20px !important;
}
.modal-body .col-xl-12.col-lg-12.col-md-12.col-sm-12.col-xs-12 {
    padding-left: 0 !important;
    padding-right: 0;
}
.modal-body ul {
    width: 100% !important;
    padding-left: 10px !important;
    list-style: square !important;
}
.modal-body .img-fluid {
    margin: 0 auto;
    float: none;
    display: block;
}

/* IMAGE BORDERS */

.img_wrapper {
    position: relative;
    width: auto;
    height: auto;
    margin-bottom: 40px;
    float: right !important;
    text-align: right !important;
}
.img_wrapper::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #005F98;
    top: 20px;
    left: 20px;
    z-index: -1;
    transition-delay:2s;
}

/* NAVBAR */

nav {
    transition: .5s linear all;
    -webkit-transition: .5s linear all;
}
.navbar {
    padding-top: 0;
    padding-bottom: 0;
    box-shadow: none;
}
.nav_scrolled {
    background-color: #005F98 !important;
    transition: .5s linear all;
    -webkit-transition: .5s linear all;
}
.navbar-brand {
    height: 100px;
    width: 100%;
    background-image: url(../img/svg/main_logo.svg);
    background-repeat: no-repeat;
    background-position: center center;
    max-width: 150px;
    transition: .5s linear all;
    -webkit-transition: .5s linear all;
}
.nav_scrolled .navbar-brand {
    background-image: url(../img/svg/navbar_logo.svg) !important;
    transition: .5s linear all;
    -webkit-transition: .5s linear all;
}
.navbar-nav {
    height: 100px;
}
nav .nav-link {
    font-size: 14px;
    line-height: 85px;
    color: #005F98 !important;
    transition: .5s linear all;
    -webkit-transition: .5s linear all;
}
nav.nav_scrolled .nav-link {
    color: #ffffff !important;
    transition: .5s linear all;
    -webkit-transition: .5s linear all;
}
.nav-item a.nav-link, .nav-item a.nav-link .icon {
    opacity: .7;
}
.nav-item.active a.nav-link, .nav-item.active a.nav-link .icon {
    opacity: 1;
}
.navbar .navbar-toggler {
    border-width: 0;
    outline: 0;
    background: #ffffff;
    border-radius: 0;
    padding: 10px;
}

/* HOME */

#home {
    z-index: -1;
}
video#bgvid {
    position: fixed;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    transform: translateX(-50%) translateY(-50%);
    background: url(../video/bg_video_pc.jpg) no-repeat;
    background-position: 0% 0%;
    background-repeat: no-repeat;
    background-size: auto;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    transition: 1s opacity;
    z-index: -1;
    max-width: none !important;
}
#slogan {
    opacity: 1;
    transition: .3s linear all;
}
.logo_slogan {
    position: fixed;
    width: 40%;
    left: 30%;
    height: auto;
    top: 50%;
    transform: translateY(-50%);
}
button#scroll_top {
    position: fixed;
    width: 60px;
    height: 60px;
    border-radius: 50% !important;
    z-index: 9999999 !important;
    background: #005F98 !important;
    border: none;
    color: #ffffff;
    font-size: 20px;
    padding: 0;
    margin: 0;
    right: 20px !important;
    bottom: 20px;
    display: none;
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}
button#scroll_top:hover {
    background: #005F98 !important;
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}



/* SECTIONS */

#chi_siamo .container-fluid, #salone .container-fluid, #servizi .container-fluid, #make-up .container-fluid, #galleria .container-fluid, #video .container-fluid, #mynews .container-fluid, #contatti .container-fluid {
    position: relative;
    padding: 40px;
    z-index: 1;
    overflow: hidden;
}
#image_slider_2 {
    text-align: center;
}
.page_footer {
    position: relative;
    z-index: 1;
}
.gallery_image:hover {
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}
.gallery_image::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 2;
    display: block;
    background-color: rgba(255,255,255,.5);
    opacity: 0;
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}
.gallery_image::after {
    content: '\e989';
    font-family: 'icomoon' !important;
    position: absolute;
    width: 40px;
    height: 40px;
    top: 50%;
    transform: translateY(-50%);
    left: 50%;
    margin-left: -20px;
    align-content: center;
    justify-content: center;
    color: #005F98;
    font-size: 2rem;
    text-align: center;
    z-index: 3;
    display: block;
    opacity: 0;
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}
.gallery_image:hover::before {
    opacity: 1;
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}
.gallery_image:hover::after {
    opacity: 1;
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}
#video_slider li::after {
    content: '\e989';
    font-family: 'icomoon' !important;
    position: absolute;
    width: 40px;
    height: 40px;
    top: 50%;
    transform: translateY(-50%);
    left: 50%;
    margin-left: -20px;
    align-content: center;
    justify-content: center;
    color: #005F98;
    font-size: 2rem;
    text-align: center;
    z-index: 3;
    display: block;
    opacity: 0;
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}
#video_slider li:hover::after {
    opacity: 1;
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}
#map_main {
    position: relative !important;
    margin: 0 auto;
    width: 100%;
    height: 350px;
    max-height: 350px;
    z-index: 99;
}
.leaflet-touch .leaflet-control-attribution, .leaflet-touch .leaflet-control-layers, .leaflet-touch .leaflet-bar {
    box-shadow: none;
}
.leaflet-bottom.leaflet-right {
    display: none;
}
.leaflet-popup-content {
    margin: 13px 19px;
    line-height: 1.4;
    font-family: Roboto, sans-serif;
    text-align: center;
    color: black;
}
.leaflet-popup-content-wrapper {
    border-radius: 0 !important;
}
nav.footer_breadcrumb {
    background: transparent !important;
    position: relative;
    z-index: 2;
}
.breadcrumb {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-bottom: .5em !important;
    list-style: none;
    background-color: transparent !important;
    border-radius: 0 !important;
}
.breadcrumb a {
    color: #ffffff !important;
}
#footer .breadcrumb a {
    color: #ffffff !important;
}
.footer-copyright.text-center.py-3 {
    z-index: 999;
    background: rgba(0,0,0,.7);
    position: absolute;
    width: 100%;
    margin-top: 10px;
}
.footer-copyright a {
    color: #ffffff;
}
.video_preview::after {
    content: '\e9cb'
    font-family: 'icomoon' !important;
    position: absolute;
    width: 40px;
    height: 40px;
    top: 50%;
    transform: translateY(-50%);
    left: 50%;
    margin-left: -20px;
    align-content: center;
    justify-content: center;
    color: #005F98;
    font-size: 2rem;
    text-align: center;
    z-index: 3;
    display: block;
    opacity: 0;
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}
.video_preview:hover::after {
    opacity: 1;
    transition: .3s linear all;
    -webkit-transition: .3s linear all;
}
.caption {
    position: relative;
    margin: -60px auto 0 auto;
    background-color: rgba(0, 0, 0, .15);
    height: 60px;
    padding: 0px;
    width: 100%;
}
.caption p {
    margin: 0 auto;
    color: white;
    text-align: center;
    line-height: 60px;
}

/* DISTRIBUTORS STYELS */

#map {
    width: 100%;
    height: 70vh;
    min-height: 500px;
    overflow: hidden;
}

/* INNER STYLES */

#video_inner {
    position: relative;
    margin: 0 auto;
    padding-top: 100px;
}
#video_inner .container-fluid {
    position: relative;
    padding: 40px 10px;
    z-index: 1;
    overflow: hidden;
}

/* MEDIA QUERIES */

@media (max-width: 1100px){
    .logo_slogan {
        width: 70% !important;
        left: 15% !important;
    }
    #home {
        min-height: unset !important;
    }
    video#bgvid {
        background: url(../video/bg_video_ipad_landscape.jpg) no-repeat;
    }
    :target::before {
        content: "";
        display: block;
        height: 85px; /* fixed header height*/
        margin: -85px 0 0; /* negative fixed header height */
    }
    .navbar {
        padding: 10px;
        background-color: #005F98 !important;
    }
    .navbar-brand {
        width: 40%;
        height: 65px;
        background-image: url(../img/svg/navbar_logo.svg);
        background-position: initial;
    }
    #mainNavbar {
        position: absolute;
        left: 0;
        right: 0;
        top: 85px !important;
        background-color: #005F98 !important;
        border-top: 1px solid rgba(255,255,255,.1);
    }
    .navbar-nav {
        height: auto;
    }
    nav .nav-link.waves-effect.waves-light {
        color: #fff !important;
        line-height: 30px !important;
    }
    ul.navbar-nav.ml-auto {
        text-align: center;
        padding: 10px;
    }
    .navbar-collapse.show {
        z-index: 99999 !important;
    }
    button#scroll_top {
        width: 50px;
        height: 50px;
        right: 10px !important;
        bottom: 10px;
        border-radius: 0px !important;
    }
    .img_wrapper::after {
        display: none;
    }
    h1, h2 {
        font-size: 2.7rem;
    }
}
@media (max-width: 800px){
    #home {
        min-height: unset !important;
    }
    video#bgvid {
        position: fixed;
        top: 85px;
        left: 0;
        min-width: 100%;
        min-height: unset;
        width: 100%;
        height: auto;
        transform: none;
        background: url(../video/bg_video_ipad_portrait.jpg) no-repeat;
        background-position: 0% 0%;
        background-repeat: no-repeat;
        background-size: auto;
        background-size: cover;
        background-position: center center;
        background-repeat: no-repeat;
        transition: 1s opacity;
        z-index: -1;
        max-width: none !important;
    }
    .empty_high {
        min-height: 515px;
    }
    .empty_low {
        display: none;
    }
    video {
        background: url(../video/bg_video_ipad_portrait.jpg) no-repeat;
    }
    .view img, .view video {
        width: 100%;
    }
    #salone .view.overlay.hoverable {
        margin-bottom: 20px;
    }
    #salone .container-fluid.bg-white, #make-up .container-fluid.bg-white, #video .container-fluid, #contatti .container-fluid.bg-white {
        background-color: #ececec !important;
    }
}
@media (max-width: 500px){
    body {
        background-color: #005f98 !important;
    }
    #home {
        min-height: unset !important;
    }
    video#bgvid {
        position: fixed;
        top: 85px;
        left: 0;
        min-width: 100%;
        min-height: unset;
        width: 100%;
        height: auto;
        transform: none;
        background: url(../video/bg_video_mobile.jpg) no-repeat;
        background-position: 0% 0%;
        background-repeat: no-repeat;
        background-size: auto;
        background-size: cover;
        background-position: center center;
        background-repeat: no-repeat;
        transition: 1s opacity;
        z-index: -1;
        max-width: none !important;
    }
    .empty_high {
        min-height: 295px;
    }
    .empty_low {
        display: none;
    }
    .logo_slogan {
        width: 80% !important;
        left: 10% !important;
    }
    #chi_siamo .container-fluid, #salone .container-fluid, #servizi .container-fluid, #make-up .container-fluid, #galleria .container-fluid, #video .container-fluid, #mynews .container-fluid, #contatti .container-fluid {
        padding: 20px !important;
    }
    .page_footer .container {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
    h1.mb-4, h2.mb-4 {
        margin-bottom: 0 !important;
    }
    .firstcharacter {
        font-size: 50px;
        margin-right: 5px;
        width: 60px;
        height: 60px;
        line-height: 60px;
    }
    .img_wrapper {
        margin-bottom: 20px;
    }
    .img_wrapper::after {
        display: none;
    }
    #map {
        width: 100%;
        height: 60vh;
        min-height: 350px;
    }
    #slogan img.img-fluid {
        max-width: 50% !important;
    }
    .view img, .view video {
        width: 100%;
    }
    h1, h2 {
        font-size: 2rem;
        line-height: 2rem;
    }
    #contatti .w-25 {
        width: 65%!important;
    }
    #video_inner {
        position: relative;
        margin: 0 auto;
        padding-top: 85px;
    }
    #video_inner .container-fluid {
        position: relative;
        padding: 0px 10px 30px 10px;
        z-index: 1;
        overflow: hidden;
    }
    .video_preview img.img-fluid {
        margin: 0 auto !important;
        float: none !important;
        display: block !important;
    }
    .brick_header {
        background-color: #ffffff !important;
    }
    #contatti h6.text-center.text-dark {
        font-size: .9rem !important;
        line-height: 1.5rem !important;
    }
    button#scroll_top {
        width: 55px;
        height: 55px;
        right: 0 !important;
        bottom: 0 !important;
    }
    .lg-toolbar .lg-icon {
        color: #ffffff;
    }
    .lg-actions .lg-next, .lg-actions .lg-prev {
        background-color: transparent;
        border-radius: 0;
        color: #ffffff;
        font-size: 12px;
        border: 1px solid #ffffff;
        outline: none;
    }
}
